Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::MinMax Struct Reference

Numeric sensor minimum / maximum values. More...

`import "NumericSensor.idl";`

## Public Attributes
double | minReading
| the minimum value since observedSince, not rounded
time | minReadingTimestamp
| UNIX timestamp (UTC) when the minimum value has occurred.
double | maxReading
| the maximum value since observedSince, not rounded
time | maxReadingTimestamp
| UNIX timestamp (UTC) when the maximum value has occurred.
boolean | valid
| `true` if min and max are valid
time | observedSince
| UNIX timestamp (UTC) of last reset of min / max.

## Detailed Description

Numeric sensor minimum / maximum values.

Definition at line 147 of file NumericSensor.idl.

## Member Data Documentation

## ◆ maxReading

double sensors::NumericSensor::MinMax::maxReading

the maximum value since observedSince, not rounded

Definition at line 150 of file NumericSensor.idl.

## ◆ maxReadingTimestamp

time sensors::NumericSensor::MinMax::maxReadingTimestamp

UNIX timestamp (UTC) when the maximum value has occurred.

Definition at line 151 of file NumericSensor.idl.

## ◆ minReading

double sensors::NumericSensor::MinMax::minReading

the minimum value since observedSince, not rounded

Definition at line 148 of file NumericSensor.idl.

## ◆ minReadingTimestamp

time sensors::NumericSensor::MinMax::minReadingTimestamp

UNIX timestamp (UTC) when the minimum value has occurred.

Definition at line 149 of file NumericSensor.idl.

## ◆ observedSince

time sensors::NumericSensor::MinMax::observedSince

UNIX timestamp (UTC) of last reset of min / max.

Definition at line 153 of file NumericSensor.idl.

## ◆ valid

boolean sensors::NumericSensor::MinMax::valid

`true` if min and max are valid

Definition at line 152 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl